Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(7)

Issue 2884703002: Implement CredentialsContainer::create (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months ago by jdoerrie
Modified:
2 months, 4 weeks ago
CC:
asvitkine+watch_chromium.org, blink-reviews, blink-reviews-bindings_chromium.org, blink-reviews-frames_chromium.org, blink-reviews-w3ctests_chromium.org, chromium-reviews, kinuko+watch, mac-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Implement CredentialsContainer::create This change adds `CredentialsContainer::create` to the Credential Management API allowing for asynchronous creation of Credential objects. Intent to Ship: https://groups.google.com/a/chromium.org/d/msg/blink-dev/uEGfd5NmjbY/IUWw7lC6EAAJ BUG=722242 Review-Url: https://codereview.chromium.org/2884703002 Cr-Commit-Position: refs/heads/master@{#473197} Committed: https://chromium.googlesource.com/chromium/src/+/f8a3ddf0546af55ee59924af78370c2b8dd57fd4

Patch Set 1 #

Total comments: 16

Patch Set 2 : Address comments #

Total comments: 6

Patch Set 3 : Addressed comments #

Total comments: 1

Patch Set 4 : Nits #

Total comments: 2

Patch Set 5 : RaisesException #

Unified diffs Side-by-side diffs Delta from patch set Stats (+227 lines, -2 lines) Patch
A third_party/WebKit/LayoutTests/external/wpt/credential-management/credentialscontainer-create-basics.https.html View 1 2 3 1 chunk +104 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/external/wpt/credential-management/idl.https.html View 3 chunks +8 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/external/wpt/credential-management/idl.https-expected.txt View 1 2 3 4 1 chunk +4 lines, -1 line 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/credentialmanager/credentialscontainer-create-basics.html View 1 2 1 chunk +42 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/platform/mac/virtual/stable/webexposed/global-interface-listing-expected.txt View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/platform/win/virtual/stable/webexposed/global-interface-listing-expected.txt View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/virtual/service-worker-navigation-preload-disabled/webexposed/global-interface-listing-expected.txt View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/webexposed/global-interface-listing-expected.txt View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/bindings/modules/v8/generated.gni View 1 chunk +2 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/frame/UseCounter.h View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
A third_party/WebKit/Source/modules/credentialmanager/CredentialCreationOptions.idl View 1 1 chunk +14 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/modules/credentialmanager/CredentialsContainer.h View 1 2 3 4 2 chunks +6 lines, -1 line 0 comments Download
M third_party/WebKit/Source/modules/credentialmanager/CredentialsContainer.cpp View 1 2 3 4 3 chunks +37 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/modules/credentialmanager/CredentialsContainer.idl View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/modules/modules_idl_files.gni View 1 2 3 4 2 chunks +3 lines, -0 lines 0 comments Download
M tools/metrics/histograms/enums.xml View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Dependent Patchsets:

Messages

Total messages: 40 (26 generated)
jdoerrie
Hi Mike and Jochen, please review. I went with Jochen's idea to guard this feature ...
3 months ago (2017-05-16 06:34:27 UTC) #8
Mike West
A few comments, looking mostly good. The `//platform/*/virtual/stable` tests are the ones that look like ...
3 months ago (2017-05-16 09:21:00 UTC) #9
jdoerrie
Thanks, Mike! Please have another look :) Thank you for explaining the "stable" tests, that ...
3 months ago (2017-05-16 13:29:56 UTC) #12
Mike West
Looking good. Just a few comments on the tests. https://codereview.chromium.org/2884703002/diff/20001/third_party/WebKit/LayoutTests/http/tests/credentialmanager/credentialscontainer-create-basics.html File third_party/WebKit/LayoutTests/http/tests/credentialmanager/credentialscontainer-create-basics.html (right): https://codereview.chromium.org/2884703002/diff/20001/third_party/WebKit/LayoutTests/http/tests/credentialmanager/credentialscontainer-create-basics.html#newcode7 third_party/WebKit/LayoutTests/http/tests/credentialmanager/credentialscontainer-create-basics.html:7: ...
3 months ago (2017-05-17 06:57:57 UTC) #15
jdoerrie
Thanks Mike! Just a quick follow-up comment. https://codereview.chromium.org/2884703002/diff/20001/third_party/WebKit/LayoutTests/http/tests/credentialmanager/credentialscontainer-create-basics.html File third_party/WebKit/LayoutTests/http/tests/credentialmanager/credentialscontainer-create-basics.html (right): https://codereview.chromium.org/2884703002/diff/20001/third_party/WebKit/LayoutTests/http/tests/credentialmanager/credentialscontainer-create-basics.html#newcode35 third_party/WebKit/LayoutTests/http/tests/credentialmanager/credentialscontainer-create-basics.html:35: assert_equals(credential.passwordName, 'password'); ...
3 months ago (2017-05-17 08:53:23 UTC) #16
jdoerrie
https://codereview.chromium.org/2884703002/diff/20001/third_party/WebKit/LayoutTests/http/tests/credentialmanager/credentialscontainer-create-basics.html File third_party/WebKit/LayoutTests/http/tests/credentialmanager/credentialscontainer-create-basics.html (right): https://codereview.chromium.org/2884703002/diff/20001/third_party/WebKit/LayoutTests/http/tests/credentialmanager/credentialscontainer-create-basics.html#newcode7 third_party/WebKit/LayoutTests/http/tests/credentialmanager/credentialscontainer-create-basics.html:7: (function() { On 2017/05/17 06:57:57, Mike West wrote: > ...
3 months ago (2017-05-17 11:29:09 UTC) #19
Mike West
LGTM with a tiny nit. Thanks! https://codereview.chromium.org/2884703002/diff/40001/third_party/WebKit/LayoutTests/external/wpt/credential-management/credentialscontainer-create-basics.https.html File third_party/WebKit/LayoutTests/external/wpt/credential-management/credentialscontainer-create-basics.https.html (right): https://codereview.chromium.org/2884703002/diff/40001/third_party/WebKit/LayoutTests/external/wpt/credential-management/credentialscontainer-create-basics.https.html#newcode27 third_party/WebKit/LayoutTests/external/wpt/credential-management/credentialscontainer-create-basics.https.html:27: assert_equals(credential.type, 'password'); Can ...
3 months ago (2017-05-17 11:39:41 UTC) #20
jdoerrie
Thanks, Mike! A gentle ping for jochen@ to review the I2S and to rubber-stamp this ...
3 months ago (2017-05-17 11:48:26 UTC) #23
haraken
https://codereview.chromium.org/2884703002/diff/60001/third_party/WebKit/Source/modules/credentialmanager/CredentialsContainer.cpp File third_party/WebKit/Source/modules/credentialmanager/CredentialsContainer.cpp (right): https://codereview.chromium.org/2884703002/diff/60001/third_party/WebKit/Source/modules/credentialmanager/CredentialsContainer.cpp#newcode227 third_party/WebKit/Source/modules/credentialmanager/CredentialsContainer.cpp:227: "CredentialsContainer", "create"); Can we add [RaisesException=Constructor] to the IDL ...
3 months ago (2017-05-17 14:51:50 UTC) #27
jdoerrie
https://codereview.chromium.org/2884703002/diff/60001/third_party/WebKit/Source/modules/credentialmanager/CredentialsContainer.cpp File third_party/WebKit/Source/modules/credentialmanager/CredentialsContainer.cpp (right): https://codereview.chromium.org/2884703002/diff/60001/third_party/WebKit/Source/modules/credentialmanager/CredentialsContainer.cpp#newcode227 third_party/WebKit/Source/modules/credentialmanager/CredentialsContainer.cpp:227: "CredentialsContainer", "create"); On 2017/05/17 14:51:50, haraken wrote: > > ...
3 months ago (2017-05-19 10:04:50 UTC) #30
jochen (gone - plz use gerrit)
API lgtm, please wait for Kentaro to approve
3 months ago (2017-05-19 13:55:17 UTC) #33
haraken
LGTM
3 months ago (2017-05-19 14:03:10 UTC) #34
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2884703002/80001
3 months ago (2017-05-19 14:27:26 UTC) #37
commit-bot: I haz the power
3 months ago (2017-05-19 15:30:37 UTC) #40
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/f8a3ddf0546af55ee59924af7837...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b